#ifndef ALEA_INCLUDED
#define ALEA_INCLUDED
#include <stdlib.h>
#include <time.h>

//#define SEED  (((__TIME__) ^ 0xDEADBEEF) & 0x0000FFFF)
#define SEED 0x101


typedef struct Evenement 
{
    int valeur;
    double probabilite;
} Evenement;


int Aleatoire(int minimum, int maximum);
int Choisir(const Evenement elements[], size_t nombre);


#endif /* ALEA_INCLUDED */
